Loading...
Searching...
No Matches
casacore::python::default_policy Struct Reference

Default operations on all containers for conversion from Python container to C++ one. More...

`#include <PycBasicData.h>`

## Static Public Member Functions

static bool | check_convertibility_per_element ()
template<typename ContainerType>
static bool | check_size (boost::type< ContainerType >, std::size_t)
template<typename ContainerType>
static void | assert_size (boost::type< ContainerType >, std::size_t)
template<typename ContainerType>
static void | reserve (ContainerType &, std::size_t)

## Detailed Description

Default operations on all containers for conversion from Python container to C++ one.

Copied from scitbx/include/scitbx/boost_python/container_conversions.h that is described in the Boost.Python FAQ.

Author
  Ralf W. Grosse-Kunstleve rwgk@.nosp@m.yaho.nosp@m.o.com of Lawrence Berkeley National Laboratory

Definition at line 140 of file PycBasicData.h.

## Member Function Documentation

## assert_size()

template<typename ContainerType>

void casacore::python::default_policy::assert_size | ( | boost::type< ContainerType > | ,
|  | std::size_t | )

inline static

Definition at line 151 of file PycBasicData.h.

## check_convertibility_per_element()

bool casacore::python::default_policy::check_convertibility_per_element | ( |  | ) |

inline static

Definition at line 142 of file PycBasicData.h.

## check_size()

template<typename ContainerType>

bool casacore::python::default_policy::check_size | ( | boost::type< ContainerType > | ,
|  | std::size_t | )

inline static

Definition at line 145 of file PycBasicData.h.

## reserve()

template<typename ContainerType>

void casacore::python::default_policy::reserve | ( | ContainerType & | ,
|  | std::size_t | )

inline static

Definition at line 155 of file PycBasicData.h.

The documentation for this struct was generated from the following file:

- python/Converters/PycBasicData.h